summaryrefslogtreecommitdiffstats
path: root/source/a/hdparm/hdparm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/hdparm/hdparm.SlackBuild')
-rwxr-xr-xsource/a/hdparm/hdparm.SlackBuild66
1 files changed, 66 insertions, 0 deletions
diff --git a/source/a/hdparm/hdparm.SlackBuild b/source/a/hdparm/hdparm.SlackBuild
new file mode 100755
index 000000000..293b1cf87
--- /dev/null
+++ b/source/a/hdparm/hdparm.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=${VERSION:-9.3}
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+NUMJOBS=${NUMJOBS:--j7}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-hdparm
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf hdparm-$VERSION
+tar xvf $CWD/hdparm-$VERSION.tar.bz2 || exit 1
+cd hdparm-$VERSION || exit 1
+chown -R root:root .
+make $NUMJOBS || make || exit 1
+mkdir -p $PKG/sbin
+cat hdparm > $PKG/sbin/hdparm
+chmod 755 $PKG/sbin/hdparm
+mkdir -p $PKG/usr/sbin
+( cd $PKG/usr/sbin
+ ln -sf ../../sbin/hdparm .
+)
+mkdir -p $PKG/usr/man/man8
+cat hdparm.8 | gzip -9c > $PKG/usr/man/man8/hdparm.8.gz
+mkdir -p $PKG/usr/doc/hdparm-$VERSION
+cp -a \
+ LICENSE.TXT README.acoustic hdparm.lsm contrib \
+ $PKG/usr/doc/hdparm-$VERSION
+# I'm also not sure why I'm putting a binary in the docs, but...
+rm -f $PKG/usr/doc/hdparm-$VERSION/contrib/fix_standby.c
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/hdparm-$VERSION-$ARCH-$BUILD.txz
+